Bug 518642 - User Switching cause blank screen
Summary: User Switching cause blank screen
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-21 12:43 UTC by Arnaud Siminski
Modified: 2015-01-14 23:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:12:57 UTC


Attachments (Terms of Use)
/var/log/messages (808 bytes, text/plain)
2009-08-21 12:43 UTC, Arnaud Siminski
no flags Details
/var/log/Xorg.0.log (3.01 KB, text/plain)
2009-08-21 12:45 UTC, Arnaud Siminski
no flags Details
/var/log/messages on 09/25/2009 (9.93 KB, application/octet-stream)
2009-09-25 11:31 UTC, Arnaud Siminski
no flags Details

Description Arnaud Siminski 2009-08-21 12:43:41 UTC
Created attachment 358234 [details]
/var/log/messages

First, I hope I report this bug in the right place.

Description of problem:
I am using fedora 11, when I try to switch user from the gnome desktop, I get a blank screen. 
To get the screen back, I have to press CTRL+ALT+F1, but this time I must enter my password into screensaver lock.


Version-Release number of selected component (if applicable):
gdm.x86_64                            1:2.26.1-13.fc11            

How reproducible: always

Steps to Reproduce:

1.log into first account
2.click on the user switch applet

  
Actual results: the screen gets black

Expected results: a list of users and the possibility to switch user

Additional info:

Fedora 11 (Leonidas)
Gnome 2.26.3

Linux localhost.localdomain 2.6.29.6-217.2.8.fc11.x86_64 #1 SMP Sat Aug 15 01:06:26 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux


gdm.x86_64                            1:2.26.1-13.fc11            @updates      
gdm-user-switch-applet.x86_64         1:2.26.1-13.fc11            @updates      
plymouth-gdm-hooks.x86_64             0.7.0-0.2009.05.15.1.fc11   installed     

xorg-x11-server-Xorg.x86_64           1.6.1.901-1.fc11            installed     

xorg-x11-server-common.x86_64         1.6.1.901-1.fc11            installed     

xorg-x11-server-utils.x86_64          7.4-7.fc11                  installed     



I attach what can be seen in the /var/log/messages during the operation.

Comment 1 Arnaud Siminski 2009-08-21 12:45:01 UTC
Created attachment 358235 [details]
/var/log/Xorg.0.log

Comment 2 Stefan Becker 2009-09-12 07:04:47 UTC
Possible duplicate of bug #518792 and bug #522197?

Comment 3 Sergey Rudchenko 2009-09-17 18:26:08 UTC
Thank you for the bug report.

Could you provide a piece of your /var/log/messages with the problem reproduced?

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Arnaud Siminski 2009-09-25 11:30:03 UTC
After updating the fedora system, the problem occurs now after a few user switches.

step to reproduce : 
1. login with user 1
2. switch and login with user 2
3. switch back to user 1
4. switch back to user 2

actual result : blank screen

Expected results: a list of users and the possibility to switch user

Additional info:

Fedora 11 (Leonidas)
Gnome 2.26.3

Linux localhost.localdomain 2.6.30.5-43.fc11.x86_64 #1 SMP Thu Aug 27 21:39:52 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux


gdm.x86_64                            1:2.26.1-13.fc11            @updates      
gdm-user-switch-applet.x86_64         1:2.26.1-13.fc11            @updates      
plymouth-gdm-hooks.x86_64             0.7.0-0.2009.05.15.1.fc11   installed     
xorg-x11-server-Xorg.x86_64           1.6.4-0.1.fc11              @updates      
xorg-x11-server-common.x86_64         1.6.4-0.1.fc11              @updates      
xorg-x11-server-utils.x86_64          7.4-7.1.fc11                @updates      

Driver RADEON (extract of Xorg.log)
(II) LoadModule: "radeon"
(II) Loading /usr/lib64/xorg/modules/drivers//radeon_drv.so
(II) Module radeon: vendor="X.Org Foundation"
	compiled for 1.6.1, module version = 6.12.2
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 5.0

I attached also the file "log messages v2" that what it is written in my /var/log/messages during the test.

Comment 5 Arnaud Siminski 2009-09-25 11:31:19 UTC
Created attachment 362659 [details]
/var/log/messages on 09/25/2009

/var/log/messages during the test

Comment 6 Bug Zapper 2010-04-28 09:52:18 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-06-28 14:12:57 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.